<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{883BBEE5-00FB-434E-8A1E-76291C478AEF}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>UiControl</RootNamespace>
    <AssemblyName>UiControl</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>AnyCPU</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="SunnyUI, Version=3.8.6.0, Culture=neutral, PublicKeyToken=27d7d2e821d97aeb, processorArchitecture=MSIL">
      <HintPath>..\packages\SunnyUI.3.8.6\lib\net472\SunnyUI.dll</HintPath>
    </Reference>
    <Reference Include="SunnyUI.Common, Version=3.8.6.0, Culture=neutral, PublicKeyToken=5a271fb7ba597231, processorArchitecture=MSIL">
      <HintPath>..\packages\SunnyUI.Common.3.8.6\lib\net472\SunnyUI.Common.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="MyUiControl\IActionableControl.cs" />
    <Compile Include="MyUiControl\UiComboBox.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="MyUiControl\MyCircleGaugeControl.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="MyUiControl\MyControlExt.cs" />
    <Compile Include="MyUiControl\MyUiLabel.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="MyUiControl\MyUiNumberInput.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="MyUiControl\MyUiInput.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="MyUiControl\MyUiTextInput.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="MyUiControl\MyUiButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Node\NodesCollectionEditor.cs" />
    <Compile Include="PlcComponent\PlcDataMonitorEditor.cs" />
    <Compile Include="PlcComponent\PlcDataMonitor.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="PlcComponent\PlcDataMonitor.Designer.cs">
      <DependentUpon>PlcDataMonitor.cs</DependentUpon>
    </Compile>
    <Compile Include="PlcDataConvert.cs" />
    <Compile Include="PlcUiControl\CommonLib.cs" />
    <Compile Include="PlcUiControl\FormInput.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="PlcUiControl\FormInput.Designer.cs">
      <DependentUpon>FormInput.cs</DependentUpon>
    </Compile>
    <Compile Include="MyUiControl\MyUiComboBox.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="MyUiControl\MyUiLight.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="IWithMinMaxValue.cs" />
    <Compile Include="PlcUiControl\PlcUiComboBox.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="PlcUiControl\PlcUiStateDisplay.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="PlcUiControl\PlcUiTextInput.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="PlcUiControl\PlcUiTextDisplay.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="PlcUiControl\PlcUiNumberInput.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="PlcUiControl\PlcUiNumberDisplay.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="PlcUiControl\PlcUiLight.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="SoftKeyboard\FullKeyboardForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SoftKeyboard\FullKeyboardForm.Designer.cs">
      <DependentUpon>FullKeyboardForm.cs</DependentUpon>
    </Compile>
    <Compile Include="SoftKeyboard\NumberKeybordForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SoftKeyboard\NumberKeybordForm.Designer.cs">
      <DependentUpon>NumberKeybordForm.cs</DependentUpon>
    </Compile>
    <Compile Include="SoftKeyboard\NumKeybordForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SoftKeyboard\NumKeybordForm.Designer.cs">
      <DependentUpon>NumKeybordForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Node\Node.cs" />
    <Compile Include="NodeSelectionDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="NodeSelectionDialog.Designer.cs">
      <DependentUpon>NodeSelectionDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Node\NodeTypeEditor.cs" />
    <Compile Include="PlcUiControl\IPlcBindableComponent.cs" />
    <Compile Include="PlcUiControl\PlcUiButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SoftKeyboard\SimulateInput.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="PlcUiControl\PlcUiTextInput.resx">
      <DependentUpon>PlcUiTextInput.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SoftKeyboard\FullKeyboardForm.resx">
      <DependentUpon>FullKeyboardForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SoftKeyboard\NumberKeybordForm.resx">
      <DependentUpon>NumberKeybordForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="SoftKeyboard\NumKeybordForm.resx">
      <DependentUpon>NumKeybordForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="NodeSelectionDialog.resx">
      <DependentUpon>NodeSelectionDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="PlcUiControl\FormInput.resx">
      <DependentUpon>FormInput.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="PlcUiControl\PlcUiComboBox.resx">
      <DependentUpon>PlcUiComboBox.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="PlcUiControl\PlcUiNumberInput.resx">
      <DependentUpon>PlcUiNumberInput.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\DataService\DataService.csproj">
      <Project>{61d6f9a5-869d-486d-9340-57dbd6eec80d}</Project>
      <Name>DataService</Name>
    </ProjectReference>
    <ProjectReference Include="..\Model\Model.csproj">
      <Project>{a9222c43-a5ba-4010-b7c8-eba38c31f9fc}</Project>
      <Name>Model</Name>
    </ProjectReference>
    <ProjectReference Include="..\OperableControlModel\ControlOperationType.csproj">
      <Project>{07d21bba-22d6-4069-a15e-61f2e7a08f00}</Project>
      <Name>ControlOperationType</Name>
    </ProjectReference>
    <ProjectReference Include="..\Permission\Permission.csproj">
      <Project>{b4bda9d6-a05d-4c0c-a1d3-afd9a1596d84}</Project>
      <Name>Permission</Name>
    </ProjectReference>
    <ProjectReference Include="..\PlcCom\PlcCom.csproj">
      <Project>{c4417822-36e9-48df-a0cd-2122e397b615}</Project>
      <Name>PlcCom</Name>
    </ProjectReference>
    <ProjectReference Include="..\XmlSymbolParser\XmlSymbolParser.csproj">
      <Project>{5f75a58a-c72d-4331-93b6-eec4b89fb805}</Project>
      <Name>XmlSymbolParser</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>